org.apache.geode.modules.session.catalina

## Class Tomcat7DeltaSessionManager

- java.lang.Object
- - org.apache.catalina.session.ManagerBase
  - - org.apache.geode.modules.session.catalina.DeltaSessionManager
    - - org.apache.geode.modules.session.catalina.Tomcat7DeltaSessionManager

- All Implemented Interfaces:
    java.beans.PropertyChangeListener, java.util.EventListener, javax.management.MBeanRegistration, org.apache.catalina.Lifecycle, org.apache.catalina.Manager, SessionManager

      public class Tomcat7DeltaSessionManager
      extends DeltaSessionManager

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.catalina.session.ManagerBase

      `org.apache.catalina.session.ManagerBase.SessionTiming`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.catalina.util.LifecycleSupport` | `lifecycle` The `LifecycleSupport` for this component.

    - ### Fields inherited from class org.apache.geode.modules.session.catalina.DeltaSessionManager

      `commitSessionValve, DEFAULT_ENABLE_COMMIT_VALVE, DEFAULT_ENABLE_COMMIT_VALVE_FAILFAST, DEFAULT_ENABLE_DEBUG_LISTENER, DEFAULT_ENABLE_GATEWAY_DELTA_REPLICATION, DEFAULT_ENABLE_GATEWAY_REPLICATION, DEFAULT_PREFER_DESERIALIZED_FORM, DEFAULT_REGION_NAME, enableCommitValve, enableCommitValveFailfast, enableDebugListener, enableGatewayDeltaReplication, enableGatewayReplication, enableLocalCache, jvmRouteBinderValve, LOGGER, maxActiveSessions, name, preferDeserializedForm, regionAttributesId, regionName, sessionCache, started`

    - ### Fields inherited from class org.apache.catalina.session.ManagerBase

      `algorithm, container, DEFAULT_ALGORITHM, devRandomSource, digest, distributable, domain, duplicates, entropy, expiredSessions, initialized, log, maxActive, maxInactiveInterval, mserver, oname, processExpiresFrequency, processingTime, random, randomClass, randomIS, sessionAverageAliveTime, sessionCounter, sessionCreationTiming, sessionExpirationTiming, sessionIdLength, sessionMaxAliveTime, sessions, sm, support, TIMING_STATS_CACHE_SIZE`

    - ### Fields inherited from interface org.apache.catalina.Lifecycle

      `AFTER_START_EVENT, AFTER_STOP_EVENT, BEFORE_START_EVENT, BEFORE_STOP_EVENT, DESTROY_EVENT, INIT_EVENT, PERIODIC_EVENT, START_EVENT, STOP_EVENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Tomcat7DeltaSessionManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLifecycleListener(org.apache.catalina.LifecycleListener listener)` Add a lifecycle event listener to this component.
    `org.apache.catalina.LifecycleListener[]` | `findLifecycleListeners()` Get the lifecycle listeners associated with this lifecycle.
    `protected org.apache.catalina.session.StandardSession` | `getNewSession()`
    `void` | `removeLifecycleListener(org.apache.catalina.LifecycleListener listener)` Remove a lifecycle event listener from this component.
    `void` | `startInternal()` Prepare for the beginning of active use of the public methods of this component.
    `void` | `stopInternal()` Gracefully terminate the active use of the public methods of this component.

    - ### Methods inherited from class org.apache.geode.modules.session.catalina.DeltaSessionManager

      `add, addSessionToTouch, cancelTimer, doLoad, doUnload, findSession, getActiveSessions, getContextName, getEnableDebugListener, getEnableGatewayDeltaReplication, getEnableGatewayReplication, getEnableLocalCache, getLogger, getMaxActiveSessions, getPipeline, getPreferDeserializedForm, getRegionAttributesId, getRegionName, getRejectedSessions, getSessionCache, getSessionsToTouch, getStatistics, getStatisticsName, getTheContext, initializeSessionCache, isBackingCacheAvailable, isClientServer, isCommitValveEnabled, isCommitValveFailfastEnabled, isPeerToPeer, listSessionIds, load, propertyChange, registerCommitSessionValve, registerJvmRouteBinderValve, remove, remove, removeTouchedSession, scheduleTimerTasks, setContainer, setEnableCommitValve, setEnableCommitValveFailfast, setEnableDebugListener, setEnableGatewayDeltaReplication, setEnableGatewayReplication, setEnableLocalCache, setMaxActiveSessions, setMaxInactiveInterval, setPreferDeserializedForm, setRegionAttributesId, setRegionName, setRejectedSessions, toString, unload, unregisterCommitSessionValve, unregisterJvmRouteBinderValve`

    - ### Methods inherited from class org.apache.catalina.session.ManagerBase

      `addPropertyChangeListener, backgroundProcess, changeSessionId, createEmptySession, createSession, createSession, destroy, expireSession, findSessions, generateSessionId, getAlgorithm, getClassName, getContainer, getCreationTime, getCreationTimestamp, getDigest, getDistributable, getDomain, getDuplicates, getEngine, getEntropy, getExpiredSessions, getInfo, getJvmRoute, getLastAccessedTime, getLastAccessedTimestamp, getMaxActive, getMaxInactiveInterval, getName, getObjectName, getProcessExpiresFrequency, getProcessingTime, getRandom, getRandomBytes, getRandomClass, getRandomFile, getSession, getSessionAttribute, getSessionAverageAliveTime, getSessionCounter, getSessionCreateRate, getSessionExpireRate, getSessionIdLength, getSessionMaxAliveTime, init, postDeregister, postRegister, preDeregister, preRegister, processExpires, removePropertyChangeListener, setAlgorithm, setDistributable, setDuplicates, setEntropy, setExpiredSessions, setMaxActive, setProcessExpiresFrequency, setProcessingTime, setRandomClass, setRandomFile, setSessionAverageAliveTime, setSessionCounter, setSessionIdLength, setSessionMaxAliveTime`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.catalina.Lifecycle

      `start, stop`

    - ### Methods inherited from interface org.apache.geode.modules.session.catalina.SessionManager

      `getMaxInactiveInterval`

- - ### Field Detail

    - #### lifecycle

          protected org.apache.catalina.util.LifecycleSupport lifecycle

      The `LifecycleSupport` for this component.

  - ### Constructor Detail

    - #### Tomcat7DeltaSessionManager

          public Tomcat7DeltaSessionManager()

  - ### Method Detail

    - #### startInternal

          public void startInternal()
                             throws org.apache.catalina.LifecycleException

      Prepare for the beginning of active use of the public methods of this component. This method should be called after `configure()`, and before any of the public methods of the component are utilized.
      Throws:
        `org.apache.catalina.LifecycleException` - if this component detects a fatal error that prevents this component from being used

    - #### stopInternal

          public void stopInternal()
                            throws org.apache.catalina.LifecycleException

      Gracefully terminate the active use of the public methods of this component. This method should be the last one called on a given instance of this component.
      Throws:
        `org.apache.catalina.LifecycleException` - if this component detects a fatal error that needs to be reported

    - #### addLifecycleListener

          public void addLifecycleListener(org.apache.catalina.LifecycleListener listener)

      Add a lifecycle event listener to this component.
      Parameters:
        `listener` - The listener to add

    - #### findLifecycleListeners

          public org.apache.catalina.LifecycleListener[] findLifecycleListeners()

      Get the lifecycle listeners associated with this lifecycle. If this Lifecycle has no listeners registered, a zero-length array is returned.

    - #### removeLifecycleListener

          public void removeLifecycleListener(org.apache.catalina.LifecycleListener listener)

      Remove a lifecycle event listener from this component.
      Parameters:
        `listener` - The listener to remove

    - #### getNewSession

          protected org.apache.catalina.session.StandardSession getNewSession()

      Overrides:
        `getNewSession` in class `DeltaSessionManager`